import { AuthorizationModel } from "../models/authorization";
import { UserModel } from "../models/userModel";
import { GroupModel } from "../models/groupModel";
import { MessageModel } from "../models/messageModel";
import { RequestModel } from "../models/requestModel";

interface Context {
    request,
    user: { uid: string },
    models: {
        auth: AuthorizationModel,
        user: UserModel,
        group: GroupModel,
        message: MessageModel,
        request: RequestModel
    }
}

interface searchTOLArgs {
    givenName: string,
    lastName: string,
    nickname: string,
    nationality: string,
    school: string,
    promotion: string,
    groups: string[],
    studies: string,
    sport: string,
    phone: string,
    mail: string,
    addresses: string[],
    ips: string[]
}

interface editProfileArgs {
    nickname: string,
    mail: string,
    phone: string
}

interface createSubgroupArgs {
    fromGroup: string,
    subGid: string,
    subName: string,
    subDescription: string,
    subMail: string,
    subWebsite: string,
    subSchool: string
}

interface editGroupArgs {
    forGroup: string,
    name: string,
    description: string,
    mail: string,
    website: string,
    frontPage: string,
    school: string
}